summaryrefslogtreecommitdiff
path: root/source3/script/tests
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests')
-rwxr-xr-xsource3/script/tests/test_ntlm_auth_s3.sh9
-rwxr-xr-xsource3/script/tests/test_smbclient_auth.sh7
-rwxr-xr-xsource3/script/tests/test_smbclient_s3.sh7
-rwxr-xr-xsource3/script/tests/test_smbtorture_s3.sh7
4 files changed, 17 insertions, 13 deletions
diff --git a/source3/script/tests/test_ntlm_auth_s3.sh b/source3/script/tests/test_ntlm_auth_s3.sh
index 99b2ab3f14..783ac03209 100755
--- a/source3/script/tests/test_ntlm_auth_s3.sh
+++ b/source3/script/tests/test_ntlm_auth_s3.sh
@@ -2,14 +2,15 @@
if [ $# -lt 2 ]; then
cat <<EOF
-Usage: test_ntlm_auth_s3.sh PYTHON SRC3DIR
+Usage: test_ntlm_auth_s3.sh PYTHON SRC3DIR NTLM_AUTH
EOF
exit 1;
fi
PYTHON=$1
SRC3DIR=$2
-shift 2
+NTLM_AUTH=$3
+shift 3
ADDARGS="$*"
incdir=`dirname $0`/../../../testprogs/blackbox
@@ -17,9 +18,9 @@ incdir=`dirname $0`/../../../testprogs/blackbox
failed=0
-testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth $ADDARGS || failed=`expr $failed + 1`
+testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $NTLM_AUTH $ADDARGS || failed=`expr $failed + 1`
# This should work even with NTLMv2
-testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $BINDIR/ntlm_auth $ADDARGS --client-domain=fOo --server-domain=fOo || failed=`expr $failed + 1`
+testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $NTLM_AUTH $ADDARGS --client-domain=fOo --server-domain=fOo || failed=`expr $failed + 1`
testok $0 $failed
diff --git a/source3/script/tests/test_smbclient_auth.sh b/source3/script/tests/test_smbclient_auth.sh
index f2f3ad3371..b90334f0cd 100755
--- a/source3/script/tests/test_smbclient_auth.sh
+++ b/source3/script/tests/test_smbclient_auth.sh
@@ -4,7 +4,7 @@
if [ $# -lt 4 ]; then
cat <<EOF
-Usage: test_smbclient_s3.sh SERVER SERVER_IP USERNAME PASSWORD <smbclient arguments>
+Usage: test_smbclient_s3.sh SERVER SERVER_IP USERNAME PASSWORD SMBCLIENT <smbclient arguments>
EOF
exit 1;
fi
@@ -13,8 +13,9 @@ SERVER="$1"
SERVER_IP="$2"
USERNAME="$3"
PASSWORD="$4"
-SMBCLIENT="$VALGRIND ${SMBCLIENT:-$BINDIR/smbclient}"
-shift 4
+SMBCLIENT="$5"
+SMBCLIENT="$VALGRIND ${SMBCLIENT}"
+shift 5
ADDARGS="$*"
incdir=`dirname $0`/../../../testprogs/blackbox
diff --git a/source3/script/tests/test_smbclient_s3.sh b/source3/script/tests/test_smbclient_s3.sh
index 972f68f42b..0395f3e12c 100755
--- a/source3/script/tests/test_smbclient_s3.sh
+++ b/source3/script/tests/test_smbclient_s3.sh
@@ -4,7 +4,7 @@
if [ $# -lt 7 ]; then
cat <<EOF
-Usage: test_smbclient_s3.sh SERVER SERVER_IP USERNAME PASSWORD USERID LOCAL_PATH PREFIX
+Usage: test_smbclient_s3.sh SERVER SERVER_IP USERNAME PASSWORD USERID LOCAL_PATH PREFIX SMBCLIENT
EOF
exit 1;
fi
@@ -16,9 +16,10 @@ PASSWORD="$4"
USERID="$5"
LOCAL_PATH="$6"
PREFIX="$7"
-SMBCLIENT="$VALGRIND ${SMBCLIENT:-$BINDIR/smbclient}"
+SMBCLIENT="$8"
+SMBCLIENT="$VALGRIND ${SMBCLIENT}"
WBINFO="$VALGRIND ${WBINFO:-$BINDIR/wbinfo}"
-shift 7
+shift 8
ADDARGS="$*"
incdir=`dirname $0`/../../../testprogs/blackbox
diff --git a/source3/script/tests/test_smbtorture_s3.sh b/source3/script/tests/test_smbtorture_s3.sh
index 65c98a58ec..07d940faa1 100755
--- a/source3/script/tests/test_smbtorture_s3.sh
+++ b/source3/script/tests/test_smbtorture_s3.sh
@@ -4,7 +4,7 @@
if [ $# -lt 4 ]; then
cat <<EOF
-Usage: test_smbtorture_s3.sh TEST UNC USERNAME PASSWORD <smbtorture args>
+Usage: test_smbtorture_s3.sh TEST UNC USERNAME PASSWORD SMBTORTURE <smbtorture args>
EOF
exit 1;
fi
@@ -13,7 +13,8 @@ t="$1"
unc="$2"
username="$3"
password="$4"
-shift 4
+SMBTORTURE="$5"
+shift 5
ADDARGS="$*"
incdir=`dirname $0`/../../../testprogs/blackbox
@@ -22,6 +23,6 @@ incdir=`dirname $0`/../../../testprogs/blackbox
failed=0
-testit "smbtorture" $VALGRIND $BINDIR/smbtorture $unc -U"$username"%"$password" $ADDARGS $t || failed=`expr $failed + 1`
+testit "smbtorture" $VALGRIND $SMBTORTURE $unc -U"$username"%"$password" $ADDARGS $t || failed=`expr $failed + 1`
testok $0 $failed